function [ ] = close(~, ~)
%CLOSEREQ Cleans up all variables that are used by the trackParameter GUI.
%   Changes to the data are dropped.

global artoaGui;

%% Close the figure

try
    delete(artoaGui.figures.trackParameter);
catch
    delete(gcf);
end

%% Clean up variables

try
    artoaGui = rmfield(artoaGui, 'trackParameter');
catch
end
try
    artoaGui.figures = rmfield(artoaGui.figures, 'trackParameter');
catch
end
% Workspace is not cleaned, because we need the values after closing the
% window

end

