function [ ] = close()
%CLOSEREQ Cleans up all variables that are used by the editPressure GUI.
%   Changes to the data is not being modified.

global artoaGui artoaWorkspace;

%% Close the figure
try
    delete(artoaGui.figures.editPressure);
catch
    delete(gcf);
end

%% Clean up variables

try
    artoaGui = rmfield(artoaGui, 'editPressure');
catch
end
try
    artoaGui.figures = rmfield(artoaGui.figures, 'editPressure');
catch
end
try
    artoaWorkspace = rmfield(artoaWorkspace, 'editPressure');
catch
end

end

